<?php
function ldfw_modal_show() {
  echo '<div class="dropdown-overlay"></div>';
    echo '<div class="ldfw-modal">';
      echo '<button class="btn btn-danger dropdown-toggle" type="button" id="dropdownMenu1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true"><i class="pulse red"></i>'.esc_html__('Live Updates','ldfw').'
        <span class="caret"></span></button>
        <ul class="drop-menu slide-menu" aria-labelledby="dropdownMenu1">';
          $query_args = array(
              'post_type' => 'ldfw',
          );
          $query = new WP_Query($query_args);
          
          if ($query->have_posts()) {
            while ($query->have_posts()) {
                $query->the_post();
                $post_id = get_the_ID();

                $ldfw_carousel_group = get_post_meta($post_id, 'ldfw_carousel_group', true);
                $enable_modal = get_post_meta($post_id, 'ldfw_enable_modal', true);
                if($enable_modal !== 'on') {
                  echo '<style>.ldfw-modal{display:none;}</style>';
                }
                foreach ($ldfw_carousel_group as $item) {
                  if (isset($item['ldfw_product_select'])) {
                   

                    $product_id = $item['ldfw_product_select'];
                    $product = wc_get_product($product_id);

                    $product_url = get_permalink($product_id);
                    $product_image_url = get_the_post_thumbnail_url($item['ldfw_product_select'], 'medium');
                    $product_price = $product->get_price();

                    echo '<div class="ldfw-item">';
                      echo '<li><img src="' . esc_url($product_image_url) . '" alt="' . esc_attr(get_the_title($item['ldfw_product_select'])) . '"><div class="item-details"><a href="'.esc_url($product_url).'">'.get_the_title($item['ldfw_product_select']).'</a><span>'.wc_price($product_price).'</span></div></li>';
                        echo '<span class="item-more"><a href="'.esc_url($product_url).'"> '.esc_html('More details','ldfw').'</a></span>';
                    echo '</div>';
                  }
                }
            }
            wp_reset_postdata();
        }
            
          
        echo '</ul>
  </div>';
}
add_action('wp_footer', 'ldfw_modal_show');
