<?php
/**
||-> CPT - [ldfw]
*/

function ldfw_cpt() {
    register_post_type('ldfw', array(
        'label' => esc_html__('Live Deals','ldfw'),
        'description' => '',
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'capability_type' => 'post',
        'map_meta_cap' => true,
        'hierarchical' => false,
        'rewrite' => array('slug' => 'ldfw', 'with_front' => false),
        'query_var' => true,
        'publicly_queryable' => false,
        'menu_position' => '1',
        'menu_icon' => 'dashicons-products',
        'supports' => array('title'),
        'labels' => array (
            'name' => esc_html__('Live Deals','ldfw'),
            'singular_name' => esc_html__('Deal','ldfw'),
            'menu_name' => esc_html__('Live Deals','ldfw'),
            'add_new' => esc_html__('Add New','ldfw'),
            'add_new_item' => esc_html__('Add New','ldfw'),
            'edit' => esc_html__('Edit','ldfw'),
            'edit_item' => esc_html__('Edit','ldfw'),
            'new_item' => esc_html__('New','ldfw'),
            'view' => esc_html__('View','ldfw'),
            'view_item' => esc_html__('View','ldfw'),
            'search_items' => esc_html__('Search','ldfw'),
            'not_found' => esc_html__('No Deals Found','ldfw'),
            'not_found_in_trash' => esc_html__('No Deals Found in Trash','ldfw'),
            'parent' => esc_html__('Parent','ldfw'),
        )
    )); 
}
add_action('init', 'ldfw_cpt');

?>